---
title: "tangentialArcTo"
excerpt: "Starting at the current sketch's origin, draw a curved line segment along"
layout: manual
---

Starting at the current sketch's origin, draw a curved line segment along

some part of an imaginary circle until it reaches the desired (x, y) coordinates.

```js
tangentialArcTo(to: [number], sketch: Sketch, tag?: TagDeclarator) -> Sketch
```


### Arguments

| Name | Type | Description | Required |
|----------|------|-------------|----------|
| `to` | `[number]` |  | Yes |
| `sketch` | [`Sketch`](/docs/kcl/types/Sketch) | A sketch is a collection of paths. | Yes |
| `tag` | [`TagDeclarator`](/docs/kcl/types#tag-declaration) |  | No |

### Returns

[`Sketch`](/docs/kcl/types/Sketch) - A sketch is a collection of paths.


### Examples

```js
exampleSketch = startSketchOn('XZ')
  |> startProfileAt([0, 0], %)
  |> angledLine({ angle = 60, length = 10 }, %)
  |> tangentialArcTo([15, 15], %)
  |> line(end = [10, -15])
  |> close()

example = extrude(exampleSketch, length = 10)
```

![Rendered example of tangentialArcTo 0](data:image/png;base64,[encoded data, 86484 characters])


